package org.example.perelloo_final;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.ContentValues;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.ListView;
import android.widget.ScrollView;
import android.widget.TextView;

import org.w3c.dom.Text;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Vector;

/**
 * Created by Potinara on 10/11/2015.
 */

public class AmigoNuevo extends Activity {

    TextView nombre;
    DatePicker fechapicker;
    TextView tituloaficion;
    Long idcat;
    Long idsub;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.editamigo);

        Button aficion = (Button) findViewById(R.id.buttonaficion);
        aficion .setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ejecutar_aficion();
            }
        });

        Button cancelar = (Button) findViewById(R.id.cancelar);
        cancelar.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });

        Button aceptar = (Button) findViewById(R.id.agregar);
        aceptar .setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                agregar_amigo();
            }
        });
        nombre = (TextView) findViewById(R.id.nombreNuevo);
        fechapicker = (DatePicker) findViewById(R.id.fechapicker);
        tituloaficion = (TextView) findViewById(R.id.tituloaficion);
    }

    public void ejecutar_aficion() {
        Intent intento = new Intent(this, ListaCategoria.class);
        startActivityForResult(intento, 1111);
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode,Intent data) {
        if (requestCode==1111 && resultCode == RESULT_OK) {
            String cat = data.getExtras().getString("categoria");
            String subcat = data.getExtras().getString("subcategoria");
            idcat = data.getExtras().getLong("IDcategoria");
            idsub = data.getExtras().getLong("IDsubcategoria");
            if (subcat==null) {
                subcat="";
            }
            tituloaficion.setText(cat+"("+subcat+")");
        }
    }

    public void agregar_amigo() {
        int i;
        String nom = nombre.getText().toString();
        if (nom.equals("") || nom==null) {
            mensaje("Escriba el nombre de su amiga/o");
            return;
        }
        if (idcat==null) {
            mensaje("Elija un hobby para su amiga/o");
            return;
        }

        DB_CategoriaHobby dbCategoria = new DB_CategoriaHobby(this);
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        ContentValues values = new ContentValues();
        values.put ("amigoNombre",nombre.getText().toString());
        values.put ("amigoCategoria",idcat);
        values.put ("amigoSubcategoria",idsub);
        // fecha
        int mm = fechapicker.getMonth();
        int dd = fechapicker.getDayOfMonth();
        int yyyy = fechapicker.getYear();
        String fecha = String.valueOf(dd)+"/"+String.valueOf(mm)+"/"+String.valueOf(yyyy);
        values.put("amigoFECHA", fecha);
        Long id = db.insert("amigos", null, values);
        db.close();
        dbCategoria.close();
        finish();
    }

    public void mensaje(String msg) {
        AlertDialog.Builder msgalerta = new AlertDialog.Builder(this);
        msgalerta.setTitle("Mensaje de HobbyGift");
        msgalerta.setPositiveButton("Ok",null);
        msgalerta.setMessage(msg);
        AlertDialog mostrar = msgalerta.create();
        mostrar.show();
    }

}
