package org.example.perelloo_final;


import android.app.ActionBar;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.graphics.drawable.ColorDrawable;
import android.net.Uri;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.support.v4.widget.CursorAdapter;
import android.widget.AdapterView;
import android.widget.GridView;
import android.widget.TextView;
import android.widget.Toast;

import java.io.InputStream;

public class MainActivity extends ActionBarActivity {
    private static DB_CategoriaHobby dbCategoria;
    private static int anchoColumna;

    CursorAdapter adaptador;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.categoriahobby);

        inicDB_categoria(this);

        GridView gridView = (GridView)findViewById(R.id.griditem);
        adaptador = new AdaptadorCategoriaHobby(this,cursor_categoria());
        gridView.setAdapter(adaptador);
        gridView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            public void onItemClick(AdapterView<?> parent, View v,
                                    int position, long id) {
                tratar_gridView(v, id);
            }
        });
        // ejecucion del servicio
        startService(new Intent(MainActivity.this,ServicioControlFecha.class));
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }
    public void tratar_gridView( View v, long id) {
            Intent intent = new Intent(this,ActividadSubCategoria.class);
            intent.putExtra("modalidad",0);
            intent.putExtra("cursorHobby",id);
            TextView texto = (TextView) v.findViewById(R.id.nombre_categoria);
            intent.putExtra("nombreHobby", texto.getText());
            startActivity(intent);
    }

    public static void inicDB_categoria (Context contexto) {
        dbCategoria = new DB_CategoriaHobby(contexto);
    }
    public static Cursor cursor_categoria() {
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        Cursor rc = db.rawQuery("SELECT * FROM categorias",null);
        return rc;
    }

//  =================================================================
//  Actividades del Menu ...
//  =================================================================
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.

        int id = item.getItemId();
        if (id == R.id.acercaDe) {
            lanzarAcerdaDe(null); return true;
        }
        if (id == R.id.action_amigos) {
            Intent intento = new Intent(this,MostrarAmigos.class);
            startActivity(intento);
            return true;
        }
        if (id== R.id.action_settings) {
            Intent intento = new Intent(this, Preferencias.class);
            startActivity(intento);
        }
        return super.onOptionsItemSelected(item);
    }

    public void lanzarAcerdaDe (View view) {
        Intent intento = new Intent(this, AcercaDe.class);
        startActivity(intento);
    }

}
// http://www.hermosaprogramacion.com/2015/07/tutorial-para-crear-un-gridview-en-android/