package org.example.perelloo_final;

import android.app.AlertDialog;
import android.content.ContentValues;
import android.content.DialogInterface;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.CursorAdapter;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;

import org.w3c.dom.Text;

import java.util.List;

/**
 * Created by Potinara on 09/11/2015.
 */
public class MostrarAmigos extends ActionBarActivity {

    public static DB_CategoriaHobby dbCategoria;
    ListView listView;
    BaseAdapter adaptador;
    public Long IDamigo;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.amigos_layout);

        dbCategoria = new DB_CategoriaHobby(this);
/*
        listView = (ListView) findViewById(R.id.listView);
        adaptador = new AdaptadorAmigos(this,readAmigos(),0);
        listView.setAdapter(adaptador);
        listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            public void onItemClick(AdapterView<?> parent, View v,
                                    int position, long id) {
                compraregalo(v, id);
            }
        });
        listView.setOnItemLongClickListener(new AdapterView.OnItemLongClickListener() {
            public boolean onItemLongClick(AdapterView<?> parent, View view, int position, long id) {
                mensajeDelete(id);
                return true;
            }
        });
*/
   }

    @Override
    public void onResume () {
        super.onResume();
        listView = (ListView) findViewById(R.id.listView);
        adaptador = new AdaptadorAmigos(this,readAmigos(),0);
        listView.setAdapter(adaptador);
        listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            public void onItemClick(AdapterView<?> parent, View v,
                                    int position, long id) {
                compraregalo(v, id);
            }
        });
        listView.setOnItemLongClickListener(new AdapterView.OnItemLongClickListener() {
            public boolean onItemLongClick(AdapterView<?> parent, View view, int position, long id) {
                mensajeDelete(id);
                return true;
            }
        });
    }

    public void compraregalo(View v, long id) {
        Intent intent = new Intent(this, OpcionCompra.class);
        TextView nombreAmigo = (TextView) v.findViewById(R.id.nombreAmigo);
        TextView categoriaAmigo = (TextView) v.findViewById(R.id.categoriaAmigo);
        TextView subcategoriaAmigo = (TextView) v.findViewById(R.id.subcategoriaAmigo);
        TextView dateAmigo = (TextView) v.findViewById(R.id.dateAmigo);
        intent.putExtra("modalidad",2);
        intent.putExtra("nombreHobby", nombreAmigo.getText());
        intent.putExtra("posicionSubcategoria", subcategoriaAmigo.getText());
        intent.putExtra("nombreSubcategoria", dateAmigo.getText());
        intent.putExtra("fotoHobby", "NNN");
        intent.putExtra("ID",id);
        intent.putExtra("idamigo",id);
        intent.putExtra("categoria2",categoriaAmigo.getText());

        startActivity(intent);
    }


    public static Cursor readAmigos() {
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        Cursor rc = db.rawQuery("SELECT * FROM amigos", null);
        return rc;
    }

    static public String readCategoria(Long id) {
        String wc;
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        Cursor rc = db.rawQuery("SELECT categoriaDesc FROM categorias WHERE _id = ?", new String[]{String.valueOf(id)});
        Log.d("KKK", String.valueOf(rc));
        if (rc.moveToFirst()) {
            wc = rc.getString(rc.getColumnIndex("categoriaDesc"));
        } else { wc="sin desc"; }
        rc.close();
        db.close();
        return (wc);
    }

    static public String readSubcategoria(Long id) {
        String wc;
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        Cursor rc = db.rawQuery("SELECT subDesc FROM subcategoria WHERE _id = ?",new String[]{String.valueOf(id)});
        if (rc.moveToFirst()) {
           wc = rc.getString(rc.getColumnIndex("subDesc"));
        } else { wc="sin desc"; }
        rc.close();
        db.close();
        return (wc);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menuamigos, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.

        int id = item.getItemId();
        if (id == R.id.acercaDe) {
            Intent intento = new Intent(this, AcercaDe.class);
            startActivity(intento);
            return true;
        }
        if (id == R.id.action_nuevoamigo) {
            Intent intento = new Intent(this,AmigoNuevo.class);
            startActivity(intento);
            return true;
        }
        return super.onOptionsItemSelected(item);
    }

    public void mensajeDelete(long id) {
        IDamigo= id;
        AlertDialog.Builder msgB = new AlertDialog.Builder(this);
        msgB.setTitle("Mensaje de HobbyGift");
        msgB.setMessage("Usted desea eliminar este amigo de la lista?");
        msgB.setPositiveButton("Si", new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int id) {
                eliminarAmigo();
            }
        });
        msgB.setNegativeButton("No", new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int id) {
                dialog.cancel();
            }
        });
        AlertDialog msg = msgB.create();
        msg.show();
    }

    public void eliminarAmigo() {
        DB_CategoriaHobby dbCategoria = new DB_CategoriaHobby(this);
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        db.delete("amigos","_id = ?", new String[]{String.valueOf(IDamigo)});
        db.close();
        dbCategoria.close();
        finish();
    }

}