package org.example.perelloo_final;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.net.Uri;
import android.os.Bundle;
import android.support.v7.app.ActionBar;
import android.support.v7.app.ActionBarActivity;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;

import java.util.ArrayList;

/**
 * Created by Potinara on 28/10/2015.
 */
public class OpcionCompra extends ActionBarActivity {

    public String nombreHobby;
    public String fotoHobby;
    public String nombreSubcategoria;
    public long id;
    public long idamigo;
    public long categoriaA;
    public long subcategoriaA;
    public String categoriaAN;
    public String subcategoriaAN;
    public ImageView donde;
    ImageView opcionTienda1;
    ImageView opcionTienda2;
    BaseAdapter adaptador;
    private static DB_CategoriaHobby dbCategoria;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.opcion_compra);
        dbCategoria = new DB_CategoriaHobby(this);
        // obtencion parametro
        Bundle extras = getIntent().getExtras();
        nombreHobby = extras.getString("nombreHobby");
        nombreSubcategoria = extras.getString("nombreSubcategoria");
        id = extras.getLong("ID");
        fotoHobby = extras.getString("fotoHobby");
        if (fotoHobby.equals("NNN")) {
            TextView categoria2 = (TextView) findViewById(R.id.categoria2);
            TextView subcategoria2 = (TextView) findViewById(R.id.subcategoria2);
            if (extras.getInt("modalidad") == 2) {
                idamigo = extras.getLong("ID");
                lectura_datos_amigo(idamigo);
                categoria2.setText(categoriaAN);
                subcategoria2.setText(subcategoriaAN);
                id = subcategoriaA;
            } else {
                categoria2.setText(extras.getString("categoria2"));
                subcategoria2.setText(extras.getString("posicionSubcategoria"));
             }
            fotoHobby = "icongift";
        }

            // carga informacion subcategoria
            ImageView imageHobby = (ImageView) findViewById(R.id.imagenSubcategoria);
            int resourceId = this.getResources().getIdentifier(fotoHobby, "drawable", this.getPackageName());
            imageHobby.setImageResource(resourceId);
            TextView categoria = (TextView) findViewById(R.id.categoria);
            categoria.setText(nombreHobby);
            TextView subcategoria = (TextView) findViewById(R.id.subcategoria);
            subcategoria.setText(nombreSubcategoria);

        // carga información compra internet
        GridView gridView = (GridView) findViewById(R.id.gridView);
        adaptador = new AdaptadorCompraInternet(this, readOpcionCompraInternet(),0);
        gridView.setAdapter(adaptador);
        gridView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            public void onItemClick(AdapterView<?> parent, View v,
                                    int position, long id) {
                iracompras(v, position);
            }
        });

        donde = (ImageView) findViewById(R.id.donde);
        donde.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ejecutar_mapa(v);
            }
        });

        opcionTienda1 = (ImageView) findViewById(R.id.opcionTienda1);
        opcionTienda1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                mostrarLocalizacion(1);
            }
        });
        opcionTienda2 = (ImageView) findViewById(R.id.opcionTienda2);
        opcionTienda2.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                mostrarLocalizacion(2);
            }
        });

    }

    public void mostrarLocalizacion(int tipo) {
        Intent intento;
        intento = new Intent(this, MapsActivityTienda.class);
        intento.putExtra("tienda",tipo);
        startActivity(intento);
    }

    public void ejecutar_mapa(View v) {
        Intent intento;
        intento = new Intent(this, MapsActivity.class);
        startActivity(intento);
    }

    public void lectura_datos_amigo(long ID) {
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        Cursor rcat;
        Cursor rcatsub;
        Cursor rc = db.rawQuery("SELECT * FROM amigos WHERE _id = ? ", new String[]{String.valueOf(ID)});
        if (rc.moveToFirst()) {
            categoriaA = rc.getLong(rc.getColumnIndex("amigoCategoria"));
            subcategoriaA = rc.getLong(rc.getColumnIndex("amigoSubcategoria"));
            rcat= db.rawQuery("SELECT * FROM categorias WHERE _id = ?", new String[]{String.valueOf(categoriaA)});
            if (rcat.moveToFirst()) {
                categoriaAN = rcat.getString(rcat.getColumnIndex("categoriaDesc"));
            }
            rcatsub= db.rawQuery("SELECT * FROM subcategoria WHERE _id = ?",new String[]{String.valueOf(subcategoriaA)});
            if (rcatsub.moveToFirst()) {
                subcategoriaAN = rcatsub.getString(rcatsub.getColumnIndex("subDesc"));
            }
            //   subcategoriaAN = MostrarAmigos.readSubcategoria(subcategoriaA);
        }
        db.close();
        rc.close();

    }

    public void iracompras(View v, int position) {
        TextView texto = (TextView) v.findViewById(R.id.textoInternet);
        Intent intent = new Intent(Intent.ACTION_VIEW);
        intent.setData(Uri.parse(texto.getTag().toString()));
        startActivity(intent);
    }

    public Cursor readOpcionCompraInternet() {
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        Cursor rc = db.rawQuery("SELECT * FROM dirinternet WHERE subcategoriaID = ? ", new String[]{String.valueOf(id)});
        return rc;
    }

}